<head>
  <meta charset="UTF-8">
  <title></title>
  <link href='https://fonts.googleapis.com/css?family=Lato' rel='stylesheet' type='text/css'>
</head>

<body>
  <div id="main">
    <div>

      <table>
        <thead>
            <tr>
                <th scope="col">Origem</th>
                <th scope="col">Categoria</th>
                <th scope="col">Valor</th>
                <th scope="col">Mês de Lançamento</th>
            </tr>
        </thead>
        <tr *ngFor="let item of gastos">
            <td>{{ item.origem }}</td>
            <td>{{ item.categoria }}</td>
            <td>{{ item.valor | currency}}</td>
            <td>{{ item.mes_lancamento }}</td>
        </tr>
      </table>

    </div>

    <table class="tableTotal">
      <thead>
        <tr>
            <th scope="col">Mês</th>
            <th scope="col">Total de gastos</th>
        </tr>
      </thead>
       <tr *ngFor="let item of valoresAgrupados">
          <td>{{item.mes_lancamento}}</td>
          <td>{{item.valor | currency}}</td>
        </tr>
    </table>

  </div>
</body>

